Printago API
PATCH
/v1/classwork/{id}
Update a classwork item
Path Parameters
id
required
string
Request Body
PartialPickClassworkItemUserManagedFields
bodyoptional
string
codeoptional
string
folderIdoptional
string
statusoptional
any
summaryoptional
string
titleoptional
string
Example Request
application/json
{
"title": "string",
"code": "string",
"summary": "string",
"body": "string"
}
Response Schema
ClassworkItem
bodyrequired
string
coderequired
string
createdAtrequired
string
format: date-time
folderIdoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
summaryrequired
string
titlerequired
string
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"code": "string",
"title": "string",
"summary": "string",
"body": "string",
"id": "string",
"storeId": "string",
"createdAt": "2026-09-16T04:04:12.329Z",
"updatedAt": "2026-09-16T04:04:12.329Z"
}